Loading...
Searching...
No Matches
lcm::ReceiveBuffer Struct Reference
C++ API Reference

Stores the raw bytes and timestamp of a received message. More...

`#include <lcm/lcm-cpp.hpp>`

## Public Attributes

void * | data
uint32_t | data_size
int64_t | recv_utime

## Detailed Description

Stores the raw bytes and timestamp of a received message.

## Member Data Documentation

## data

void* lcm::ReceiveBuffer::data

Message payload data, represented as a raw byte buffer.

## data_size

uint32_t lcm::ReceiveBuffer::data_size

Length of message payload, in bytes.

## recv_utime

int64_t lcm::ReceiveBuffer::recv_utime

Timestamp identifying when the message was received. Specified in microseconds since the UNIX epoch.

The documentation for this struct was generated from the following file:

- lcm-cpp.hpp